Bug 248603 - vmx does not recover well after suspend/resume/migration
Summary: vmx does not recover well after suspend/resume/migration
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.1-STABLE
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-11 14:19 UTC by danny
Modified: 2020-08-13 14:03 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2020-08-11 14:19:35 UTC
freebsd 12.1-stable as a vmware/esxi guests using the vmx driver:

before 12.1 it still works, and in 12.1 switching to em (the intel driver)
also works fine, making me believe the issue is in the vmx driver.
after a suspend, the vmx will usually resume with many lost packets.
Comment 1 Gian-Simon Purkert 2020-08-12 09:38:04 UTC
Do you have the latest patchlevel p8?

I ask because:

https://www.freebsd.org/security/advisories/FreeBSD-EN-20:16.vmx.asc
Comment 2 danny 2020-08-12 14:59:21 UTC
ok, updated to 363886 and there is a big improvement!
tried some 3 suspend/resumes and each time after an initial hickup
it's operating fine
so I guess I should have waited some ...
thanks!

this is a ping from another host:
ping: sendto: Host is down
64 bytes from 132.65.80.242: icmp_seq=1103 ttl=64 time=772.787 ms
64 bytes from 132.65.80.242: icmp_seq=1104 ttl=64 time=340.434 ms
64 bytes from 132.65.80.242: icmp_seq=1105 ttl=64 time=387.106 ms
64 bytes from 132.65.80.242: icmp_seq=1106 ttl=64 time=216.126 ms
64 bytes from 132.65.80.242: icmp_seq=1107 ttl=64 time=184.391 ms
64 bytes from 132.65.80.242: icmp_seq=1108 ttl=64 time=54.065 ms
64 bytes from 132.65.80.242: icmp_seq=1109 ttl=64 time=218.176 ms
64 bytes from 132.65.80.242: icmp_seq=1110 ttl=64 time=51.673 ms
64 bytes from 132.65.80.242: icmp_seq=1111 ttl=64 time=64.605 ms
64 bytes from 132.65.80.242: icmp_seq=1112 ttl=64 time=314.972 ms
64 bytes from 132.65.80.242: icmp_seq=1113 ttl=64 time=223.930 ms
64 bytes from 132.65.80.242: icmp_seq=1114 ttl=64 time=31.698 ms
64 bytes from 132.65.80.242: icmp_seq=1115 ttl=64 time=24.182 ms
64 bytes from 132.65.80.242: icmp_seq=1116 ttl=64 time=238.286 ms
64 bytes from 132.65.80.242: icmp_seq=1117 ttl=64 time=576.329 ms
64 bytes from 132.65.80.242: icmp_seq=1118 ttl=64 time=9.164 ms
64 bytes from 132.65.80.242: icmp_seq=1119 ttl=64 time=121.131 ms
64 bytes from 132.65.80.242: icmp_seq=1120 ttl=64 time=322.708 ms
64 bytes from 132.65.80.242: icmp_seq=1121 ttl=64 time=31.854 ms
64 bytes from 132.65.80.242: icmp_seq=1122 ttl=64 time=24.700 ms
64 bytes from 132.65.80.242: icmp_seq=1123 ttl=64 time=317.520 ms
64 bytes from 132.65.80.242: icmp_seq=1124 ttl=64 time=121.464 ms
64 bytes from 132.65.80.242: icmp_seq=1125 ttl=64 time=108.989 ms
64 bytes from 132.65.80.242: icmp_seq=1126 ttl=64 time=75.060 ms
64 bytes from 132.65.80.242: icmp_seq=1127 ttl=64 time=152.191 ms
64 bytes from 132.65.80.242: icmp_seq=1128 ttl=64 time=83.792 ms
64 bytes from 132.65.80.242: icmp_seq=1129 ttl=64 time=221.431 ms
64 bytes from 132.65.80.242: icmp_seq=1130 ttl=64 time=222.761 ms
64 bytes from 132.65.80.242: icmp_seq=1131 ttl=64 time=109.995 ms
64 bytes from 132.65.80.242: icmp_seq=1132 ttl=64 time=78.716 ms
64 bytes from 132.65.80.242: icmp_seq=1133 ttl=64 time=16.771 ms
64 bytes from 132.65.80.242: icmp_seq=1134 ttl=64 time=55.891 ms
64 bytes from 132.65.80.242: icmp_seq=1135 ttl=64 time=105.803 ms
64 bytes from 132.65.80.242: icmp_seq=1136 ttl=64 time=125.407 ms
64 bytes from 132.65.80.242: icmp_seq=1137 ttl=64 time=213.381 ms
64 bytes from 132.65.80.242: icmp_seq=1138 ttl=64 time=48.100 ms
64 bytes from 132.65.80.242: icmp_seq=1139 ttl=64 time=149.746 ms
64 bytes from 132.65.80.242: icmp_seq=1140 ttl=64 time=114.977 ms
64 bytes from 132.65.80.242: icmp_seq=1141 ttl=64 time=95.540 ms
64 bytes from 132.65.80.242: icmp_seq=1142 ttl=64 time=89.728 ms
64 bytes from 132.65.80.242: icmp_seq=1143 ttl=64 time=65.906 ms
64 bytes from 132.65.80.242: icmp_seq=1144 ttl=64 time=2.247 ms
64 bytes from 132.65.80.242: icmp_seq=1145 ttl=64 time=103.528 ms
64 bytes from 132.65.80.242: icmp_seq=1146 ttl=64 time=88.289 ms
64 bytes from 132.65.80.242: icmp_seq=1147 ttl=64 time=1.689 ms
64 bytes from 132.65.80.242: icmp_seq=1148 ttl=64 time=262.569 ms
64 bytes from 132.65.80.242: icmp_seq=1149 ttl=64 time=20.568 ms
64 bytes from 132.65.80.242: icmp_seq=1150 ttl=64 time=99.165 ms
64 bytes from 132.65.80.242: icmp_seq=1151 ttl=64 time=0.144 ms
64 bytes from 132.65.80.242: icmp_seq=1152 ttl=64 time=93.289 ms
64 bytes from 132.65.80.242: icmp_seq=1153 ttl=64 time=0.142 ms
64 bytes from 132.65.80.242: icmp_seq=1154 ttl=64 time=0.131 ms
64 bytes from 132.65.80.242: icmp_seq=1155 ttl=64 time=0.176 ms
64 bytes from 132.65.80.242: icmp_seq=1156 ttl=64 time=0.147 ms
64 bytes from 132.65.80.242: icmp_seq=1157 ttl=64 time=0.140 ms
64 bytes from 132.65.80.242: icmp_seq=1158 ttl=64 time=0.138 ms
64 bytes from 132.65.80.242: icmp_seq=1159 ttl=64 time=0.156 ms
64 bytes from 132.65.80.242: icmp_seq=1160 ttl=64 time=0.141 ms
64 bytes from 132.65.80.242: icmp_seq=1161 ttl=64 time=0.162 ms
64 bytes from 132.65.80.242: icmp_seq=1162 ttl=64 time=0.163 ms
64 bytes from 132.65.80.242: icmp_seq=1163 ttl=64 time=0.170 ms
64 bytes from 132.65.80.242: icmp_seq=1164 ttl=64 time=0.172 ms
.
Comment 3 Gian-Simon Purkert 2020-08-13 08:44:31 UTC
time=772.787 ms
time=0.172 ms

Wow that's some difference!
Comment 4 Gian-Simon Purkert 2020-08-13 11:39:43 UTC
So if the problem is solved can you close the ticket?
Comment 5 danny 2020-08-13 11:57:00 UTC
the ticket can now be closed,
thanks,
  danny
Comment 6 Gian-Simon Purkert 2020-08-13 14:00:43 UTC
You can close it too ;)
Comment 7 Mark Johnston freebsd_committer 2020-08-13 14:03:11 UTC
Indeed, we merged a number of vmx bug fixes to stable/12 in the past couple of weeks.